### Name: GfromG1
### Title: Full order dependence DAG G inference
### Aliases: GfromG1
### Keywords: graphs ts models regression robust

### ** Examples
# load G1DBN Library
library(G1DBN)

data(arth800line)
data<-arth800line
id<-c(60, 141, 260, 333, 365, 424, 441, 512, 521, 578, 789, 799)

# compute score S1 
pmaxG1<-inferG1(data,ls=TRUE,tukey=FALSE,huber=FALSE,predictor=id,target=id)
round(pmaxG1$ls,2)

# compute score S2 from S1 
GwithLS<-GfromG1(pmaxG1$ls, data, method='ls', alpha1=0.1, alpha2=0.01, predictor=NULL,
target=NULL)
GwithLS

resG<-edges(score=GwithLS$S2,targetNames=id,predNames=id,validMat=NULL,roc=FALSE,
threshold=0.001,nb=NULL,prec=6)
resG$nameslist

# As the number of genes is reduced to 10 here, this results slightly differ 
# from the results obtained in the Preprint cited in References.




